org.apache.maven.toolchain.java

## Class DefaultJavaToolchainFactory

- java.lang.Object
- - org.apache.maven.toolchain.java.DefaultJavaToolchainFactory

All Implemented Interfaces:
  ToolchainFactory

    public class DefaultJavaToolchainFactory
    extends java.lang.Object
    implements ToolchainFactory

Author:
  mkleint

### Field Summary

### Fields inherited from interface org.apache.maven.toolchain.ToolchainFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultJavaToolchainFactory()`

### Method Summary

Methods
`ToolchainPrivate` `createDefaultToolchain()` Returns the default instance of the particular type of toolchain, can return null if not applicable.
`ToolchainPrivate` `createToolchain(ToolchainModel model)` Create instance of toolchain.
`void` `enableLogging(Logger logger)`
`protected Logger` `getLogger()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultJavaToolchainFactory

    public DefaultJavaToolchainFactory()

### Method Detail

#### createToolchain

    public ToolchainPrivate createToolchain(ToolchainModel model)
                                     throws MisconfiguredToolchainException

Description copied from interface: `ToolchainFactory`
Create instance of toolchain.

Specified by:
  `createToolchain` in interface `ToolchainFactory`
Throws:
  `MisconfiguredToolchainException`

#### createDefaultToolchain

    public ToolchainPrivate createDefaultToolchain()

Description copied from interface: `ToolchainFactory`
Returns the default instance of the particular type of toolchain, can return null if not applicable. TODO keep around??

Specified by:
  `createDefaultToolchain` in interface `ToolchainFactory`

#### getLogger

    protected Logger getLogger()

#### enableLogging

    public void enableLogging(Logger logger)